
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for protra/middlewares/validators</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../prettify.css" />
    <link rel="stylesheet" href="../../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../../index.html">All files</a> protra/middlewares/validators</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">59.05% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>124/210</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">33.04% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>37/112</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">74.67% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>56/75</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">59.33% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>124/209</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line medium'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file medium" data-value="listValidator.js"><a href="listValidator.js.html">listValidator.js</a></td>
	<td data-value="77.78" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 77%"></div><div class="cover-empty" style="width: 23%"></div></div>
	</td>
	<td data-value="77.78" class="pct medium">77.78%</td>
	<td data-value="18" class="abs medium">14/18</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="8" class="abs medium">4/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="6" class="abs high">6/6</td>
	<td data-value="77.78" class="pct medium">77.78%</td>
	<td data-value="18" class="abs medium">14/18</td>
	</tr>

<tr>
	<td class="file medium" data-value="paymentValidator.js"><a href="paymentValidator.js.html">paymentValidator.js</a></td>
	<td data-value="60" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 60%"></div><div class="cover-empty" style="width: 40%"></div></div>
	</td>
	<td data-value="60" class="pct medium">60%</td>
	<td data-value="10" class="abs medium">6/10</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="5" class="abs low">0/5</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="1" class="abs low">0/1</td>
	<td data-value="60" class="pct medium">60%</td>
	<td data-value="10" class="abs medium">6/10</td>
	</tr>

<tr>
	<td class="file low" data-value="projectValidator.js"><a href="projectValidator.js.html">projectValidator.js</a></td>
	<td data-value="47.5" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 47%"></div><div class="cover-empty" style="width: 53%"></div></div>
	</td>
	<td data-value="47.5" class="pct low">47.5%</td>
	<td data-value="80" class="abs low">38/80</td>
	<td data-value="28.89" class="pct low">28.89%</td>
	<td data-value="45" class="abs low">13/45</td>
	<td data-value="62.5" class="pct medium">62.5%</td>
	<td data-value="32" class="abs medium">20/32</td>
	<td data-value="47.5" class="pct low">47.5%</td>
	<td data-value="80" class="abs low">38/80</td>
	</tr>

<tr>
	<td class="file medium" data-value="taskValidator.js"><a href="taskValidator.js.html">taskValidator.js</a></td>
	<td data-value="69.23" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 69%"></div><div class="cover-empty" style="width: 31%"></div></div>
	</td>
	<td data-value="69.23" class="pct medium">69.23%</td>
	<td data-value="39" class="abs medium">27/39</td>
	<td data-value="39.13" class="pct low">39.13%</td>
	<td data-value="23" class="abs low">9/23</td>
	<td data-value="92.31" class="pct high">92.31%</td>
	<td data-value="13" class="abs high">12/13</td>
	<td data-value="69.23" class="pct medium">69.23%</td>
	<td data-value="39" class="abs medium">27/39</td>
	</tr>

<tr>
	<td class="file medium" data-value="userValidator.js"><a href="userValidator.js.html">userValidator.js</a></td>
	<td data-value="61.9" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 61%"></div><div class="cover-empty" style="width: 39%"></div></div>
	</td>
	<td data-value="61.9" class="pct medium">61.9%</td>
	<td data-value="63" class="abs medium">39/63</td>
	<td data-value="35.48" class="pct low">35.48%</td>
	<td data-value="31" class="abs low">11/31</td>
	<td data-value="78.26" class="pct medium">78.26%</td>
	<td data-value="23" class="abs medium">18/23</td>
	<td data-value="62.9" class="pct medium">62.9%</td>
	<td data-value="62" class="abs medium">39/62</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Mon Feb 08 2021 17:54:39 GMT+0700 (Western Indonesia Time)
            </div>
        </div>
        <script src="../../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../../sorter.js"></script>
        <script src="../../../block-navigation.js"></script>
    </body>
</html>
    